require('./bootstrap');
require('../../core/js/plugins/mtc_chop.js');
require('../../core/js/plugins/mtc_chosen.js');
require('../../core/js/plugins/mtc_cookies.js');
require('../../core/js/plugins/mtc_easing.js');
require('../../core/js/plugins/mtc_hover_intent.js');
require('../../core/js/plugins/mtc_jquery.mobile.js');
require('../../core/js/plugins/mtc_jquery_ui.js');
require('../../core/js/plugins/mtc_jquery_ui_touch_punch.js');
require('../../core/js/plugins/mtc_loadify.js');
require('../../core/js/plugins/mtc_match_height.js');
require('../../core/js/plugins/mtc_mobile_menu.js');
require('../../core/js/plugins/mtc_multi_currency.js');
require('../../core/js/plugins/mtc_number_arrows.js');
require('../../core/js/plugins/mtc_overlay.js');
require('../../core/js/plugins/mtc_perfect_scroll.js');
require('../../core/js/plugins/mtc_placeholder.js');
require('../../core/js/plugins/mtc_responsive_tables.js');
require('../../core/js/plugins/mtc_slick.js');
require('../../core/js/plugins/mtc_tabs.js');
require('../../core/js/plugins/mtc_waypoints.js');
require('../../core/js/plugins/mtc_zoom.js');
require('../../core/js/site_scripts/mtc_show_hide_menus.js');

// Auto-load all js files in ./vendor/app/*.js (with sub-dirs)
// This allows us to use vendor packages and publish their JS assets to this location
const files = require.context('./vendor/app/', true, /\.js$/i);
files.keys().forEach(files);

require('./dynamic_app');

require('../../core/js/global.js');
